package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaUserActive;
import com.ruoyi.oa.domain.vo.OaUserActiveVo;
import com.ruoyi.oa.domain.bo.OaUserActiveBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户活跃统计Service接口
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public interface IOaUserActiveService {

    /**
     * 查询用户活跃统计
     */
    OaUserActiveVo queryById(Long activeId);

    /**
     * 查询用户活跃统计列表
     */
    TableDataInfo<OaUserActiveVo> queryPageList(OaUserActiveBo bo, PageQuery pageQuery);

    /**
     * 查询用户活跃统计列表
     */
    List<OaUserActiveVo> queryList(OaUserActiveBo bo);

    /**
     * 新增用户活跃统计
     */
    Boolean insertByBo(OaUserActiveBo bo);

    /**
     * 修改用户活跃统计
     */
    Boolean updateByBo(OaUserActiveBo bo);

    /**
     * 校验并批量删除用户活跃统计信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    boolean hasActiveToday(Long userId);

    void recordTodayLogin(Long userId);
}
